Package ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

# Class Autopayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.Autopayment

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class Autopayment
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Autopayment()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAccessToken()` |
  `int` | `getContractId()` |
  `java.lang.String` | `getData()` |
  `AutopaymentMode` | `getMode()` |
  `java.lang.String` | `getModeData()` |
  `PeriodWithTime` | `getPeriod()` |
  `java.math.BigDecimal` | `getSum()` |
  `void` | `setAccessToken​(java.lang.String accessToken)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setData​(java.lang.String data)` |
  `void` | `setMode​(AutopaymentMode mode)` |
  `void` | `setModeData​(java.lang.String modeData)` |
  `void` | `setPeriod​(PeriodWithTime period)` |
  `void` | `setSum​(java.math.BigDecimal sum)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Autopayment

    public Autopayment()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### setPeriod

    public void setPeriod​(PeriodWithTime period)

  - ### getSum

    public java.math.BigDecimal getSum()

  - ### setSum

    public void setSum​(java.math.BigDecimal sum)

  - ### getMode

    public AutopaymentMode getMode()

  - ### setMode

    public void setMode​(AutopaymentMode mode)

  - ### getModeData

    public java.lang.String getModeData()

  - ### setModeData

    public void setModeData​(java.lang.String modeData)

  - ### getData

    public java.lang.String getData()

  - ### setData

    public void setData​(java.lang.String data)

  - ### getAccessToken

    public java.lang.String getAccessToken()

  - ### setAccessToken

    public void setAccessToken​(java.lang.String accessToken)